package bus.service;

import bus.model.dto.BCourseBusDto;
import bus.model.dto.page.BCourseBusPageDto;
import bus.model.vo.BCourseBusVo;
import bus.model.po.BCourseBusPo;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * @Program: bus
 * @Description: 描述
 * @Author: zy
 * @Date: 2025-03-02 19:56:32
 **/
public interface BCourseBusService extends IService<BCourseBusPo> {


    /**
     * 详情
     * @param id
     * @return
     */
    BCourseBusPo getDetailById(String id);

	/**
     * 保存
     * @param dto
     * @return
     */
    void save(BCourseBusDto dto);

    /**
    * 列表
    * @param dto
    * @return
    */
    List<BCourseBusVo> list(BCourseBusPageDto dto);

	/**
     * 修改
     * @param dto
     * @return
     */
    void update(BCourseBusDto dto);

	/**
     * 删除
     * @param id
     * @return
     */
    void delete(String id);
    /**
     * 根据线路id删除
     */
    void deleteByCourseId(String courseId);
}
